nlohmann::anonymous_namespace{json.hpp}::has_mapped_type< T > Struct Template Reference

Helper to determine whether there's a key_type for T. More...

`#include <json.hpp>`

## Public Types

enum | { value = sizeof(test<T>(0)) == sizeof(char) }

## Detailed Description

### template<typename T>
struct nlohmann::anonymous_namespace{json.hpp}::has_mapped_type< T >

See also
  http://stackoverflow.com/a/7728728/266378